ch.qos.logback.core.sift

## Interface AppenderFactory<E>

All Known Implementing Classes:
  AbstractAppenderFactoryUsingJoran, AppenderFactoryUsingJoran

    public interface AppenderFactory<E>

Created with IntelliJ IDEA. User: ceki Date: 25.04.13 Time: 19:00 To change this template use File | Settings | File Templates.

### Method Summary

Methods
`Appender<E>` `buildAppender(Context context, java.lang.String discriminatingValue)`

### Method Detail

#### buildAppender

    Appender<E> buildAppender(Context context,
                            java.lang.String discriminatingValue)
                              throws JoranException

Throws:
  `JoranException`